Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Expression

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.Expression

All Implemented Interfaces:
  SourceLocation

Direct Known Subclasses:
  CompletionCondition, Expression11, Query

    public class Expression

extends BpelObject

BOM representation of a BPEL expression language expression.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Expression(org.w3c.dom.Element el)`

Method Summary
`org.w3c.dom.Node` | `getExpression()`
`java.lang.String` | `getExpressionLanguage()` Get the expression language for this expression.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Expression

    public Expression(org.w3c.dom.Element el)

Method Detail

### getExpressionLanguage

    public java.lang.String getExpressionLanguage()

  Get the expression language for this expression.

  Returns:
    expression langauge URI or `null` if none specified

### getExpression

    public org.w3c.dom.Node getExpression()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD